Bug 116903 - Wrong image size shown when using an external image area bitmap fill
Summary: Wrong image size shown when using an external image area bitmap fill
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Area-Fill-Tab-Bitmap
  Show dependency treegraph
 
Reported: 2018-04-09 16:42 UTC by Telesto
Modified: 2019-04-24 02:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-04-09 16:42:25 UTC
Description:
Wrong image size shown when using an external image area bitmap fill

Steps to Reproduce:
1. Download attachment 141232 [details]
2. Open Writer
2. Format -> Page - Area tab -> Bitmap
3. Add import -> 
4. Size shown: 1 cm width 1 cm height
4. Press OK
5. Format -> Page - Area tab -> Bitmap -> Notice 107,34 cm width/ 76,96 cm height

Actual Results:  
Wrong dimensions shown in the size field

Expected Results:
Correct dimensions should be shown in the size field


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha0+
Build ID: 818619b0f2f7813decb26d0b14362dec76a8ff37
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2018-04-08_13:29:47
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Regina Henschel 2018-04-09 22:47:12 UTC
Please copy the About information of your version. I ask for it, because there had been recently some work on the dialog.
Comment 2 Regina Henschel 2018-04-10 00:43:15 UTC
The version Version: 6.1.0.0.alpha0+ (x64)
Build ID: 8b34efff7a7ed13553dfe87cd2413d01c76dec1d
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL

contains the recent made changes.

I can confirm the error. In the fill style "Custom position/size the fields are only updated with the actual size of the image, after you close and reopen the dialog.

The initial size is set to 1cm x 1cm. It should be set to the size of the selected image.
Comment 3 Xisco Faulí 2018-04-11 11:16:16 UTC
Yes, the error is while setting the image size, not after reloading the dialog...
Comment 4 Telesto 2018-04-23 18:52:14 UTC
Hmm, not only 'external images' are affected
1. Format -> Page -> Area tab
2. Bitmap button -> Select a bitmap (style: tiled)  -> Size shown: 1 cm width 1 cm height
3. Press OK
4. Format -> Page - Area tab -> Bitmap
5. Size shown: 23,90 x 23,90
6. Change it to  1 cm width 1 cm 
7. Press OK (layout changes)
8. Open the Format -> Page - Area tab -> Bitmap again:  1 cm width 1 cm shows up
9. Press OK layout changes again (back to the look in step 3)
Comment 5 QA Administrators 2019-04-24 02:49:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug